Bug 101048 - DSO link-errors with libdb_cxx.so
DSO link-errors with libdb_cxx.so
Product: Red Hat Raw Hide
Classification: Retired
Component: db4 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
Reported: 2003-07-28 15:51 EDT by Enrico Scholz
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-21 15:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2003-07-28 15:51:05 EDT
Description of problem:

| $ echo 'int main() {}' >x.c
| $ g++ x.c -ldb_cxx
| /usr/bin/ld: a.out: hidden symbol `__dso_handle' in
| /usr/lib/gcc-lib/i386-redhat-linux/3.3/crtbegin.o is referenced by DSO
| collect2: ld returned 1 exit status

Version-Release number of selected component (if applicable):

Comment 1 Jakub Jelinek 2003-07-28 16:15:05 EDT
That means libdb_cxx has been built incorrectly.
nm -Du /usr/lib/libdb_cxx.so | grep __dso_handle
         U __dso_handle
Quick guess is that ld -shared instead of g++ -shared is used to link that
shared library.
Comment 2 Jeff Johnson 2003-09-25 21:48:58 EDT
I'll take this one ...
Comment 3 Bill Nottingham 2003-10-21 15:39:44 EDT
This is fixed in current rawhide.

Note You need to log in before you can comment on or make changes to this bug.